glab(1)

NAME

glab-variable-update - Update an existing variable for a project or group.

SYNOPSIS

glab variable update [flags]

DESCRIPTION

Update an existing variable for a project or group.

OPTIONS

-d, --description=""
    Set description of a variable.

-g, --group=""
    Set variable for a group.

-m, --masked[=false]
    Whether the variable is masked.

-p, --protected[=false]
    Whether the variable is protected.

-r, --raw[=false]
    Whether the variable is treated as a raw string.

-s, --scope=""
    The environment_scope of the variable. Values: all (), or specific environments.

-t, --type="env_var"
    The type of a variable: env_var, file.

-v, --value=""
    The value of a variable.

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

EXAMPLE
    glab variable update WITH_ARG "some value"
    glab variable update FROM_FLAG -v "some value"
    glab variable update FROM_ENV_WITH_ARG "${ENV_VAR}"
    glab variable update FROM_ENV_WITH_FLAG -v"${ENV_VAR}"
    glab variable update FROM_FILE < secret.txt
    cat file.txt | glab variable update SERVER_TOKEN
    cat token.txt | glab variable update GROUP_TOKEN -g mygroup --scope=prod

SEE ALSO

glab-variable(1)